Bug 1287580 - [abrt] pgadmin3: g_realloc(): pgadmin3 killed by SIGSEGV
[abrt] pgadmin3: g_realloc(): pgadmin3 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pgadmin3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bd5e71a91c9d0ae76f6a5d05665...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 06:34 EST by caspervg
Modified: 2016-12-20 11:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:31:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.49 KB, text/plain)
2015-12-02 06:34 EST, caspervg
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-02 06:34 EST, caspervg
no flags Details
File: core_backtrace (17.10 KB, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: dso_list (12.75 KB, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: environ (1.62 KB, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: maps (64.93 KB, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: mountinfo (3.49 KB, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: open_fds (891 bytes, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details
File: var_log_messages (291 bytes, text/plain)
2015-12-02 06:35 EST, caspervg
no flags Details

  None (edit)
Description caspervg 2015-12-02 06:34:53 EST
Version-Release number of selected component:
pgadmin3-1.20.0-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
crash_function: g_realloc
executable:     /usr/bin/pgadmin3
global_pid:     3677
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 g_realloc at gmem.c:159
 #5 pango_glyph_string_set_size at glyphstring.c:89
 #6 _pango_fc_shape at pangofc-shape.c:419
 #7 pango_shape_full at shape.c:116
 #8 shape_run at pango-layout.c:3296
 #9 process_item at pango-layout.c:3409
 #10 process_line at pango-layout.c:3708
 #11 pango_layout_check_lines at pango-layout.c:4036
 #12 pango_layout_get_extents_internal at pango-layout.c:2590
 #13 pango_layout_get_pixel_extents at pango-layout.c:2811
Comment 1 caspervg 2015-12-02 06:34:58 EST
Created attachment 1101432 [details]
File: backtrace
Comment 2 caspervg 2015-12-02 06:34:59 EST
Created attachment 1101433 [details]
File: cgroup
Comment 3 caspervg 2015-12-02 06:35:01 EST
Created attachment 1101434 [details]
File: core_backtrace
Comment 4 caspervg 2015-12-02 06:35:02 EST
Created attachment 1101435 [details]
File: dso_list
Comment 5 caspervg 2015-12-02 06:35:04 EST
Created attachment 1101436 [details]
File: environ
Comment 6 caspervg 2015-12-02 06:35:05 EST
Created attachment 1101437 [details]
File: exploitable
Comment 7 caspervg 2015-12-02 06:35:06 EST
Created attachment 1101438 [details]
File: limits
Comment 8 caspervg 2015-12-02 06:35:08 EST
Created attachment 1101439 [details]
File: maps
Comment 9 caspervg 2015-12-02 06:35:09 EST
Created attachment 1101440 [details]
File: mountinfo
Comment 10 caspervg 2015-12-02 06:35:11 EST
Created attachment 1101441 [details]
File: namespaces
Comment 11 caspervg 2015-12-02 06:35:12 EST
Created attachment 1101442 [details]
File: open_fds
Comment 12 caspervg 2015-12-02 06:35:13 EST
Created attachment 1101443 [details]
File: proc_pid_status
Comment 13 caspervg 2015-12-02 06:35:15 EST
Created attachment 1101444 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 08:54:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:31:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.